
TYPO3.Flow - Bug # 55936

Status: Resolved Priority: Must have
Author: Thomas Lorenzen Category: Session
Created: 2014-02-12 Assigned To:
Updated: 2014-08-27 Due date:
PHP Version: 5.4
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0
Subject: sessionManager->getActiveSessions() returns empty
Description

I inject the sessionManager and try to get all active sessions but getActiveSessions() always returns empty array.

Have tried in different contexts and yes I DO have active sessions ;)

I'm running Flow 2.0.1

Code:
/**
 * @Flow\Inject
 * @var \TYPO3\Flow\Session\SessionManagerInterface
     */
    protected $sessionManager;
$sessions = $this->sessionManager->getActiveSessions();

Associated revisions
Revision 15930467 - 2014-08-26 15:01 - Rafael Kähm

[BUGFIX] sessionManager->getActiveSessions() returns empty array

This change adds the tag 'session' to all started sessions.
As SessionManager->getActiveSessions() searches sessions by
'session' tag, nothing will ever be returned if the tag is
not set.

Change-Id: Ib92b13bd67dafb4eae04a669befc8da581a405dd
Fixes: #55936
Releases: master, 2.2, 2.1

Revision bc7a07df - 2014-08-26 15:38 - Rafael Kähm

[BUGFIX] sessionManager->getActiveSessions() returns empty array

This change adds the tag 'session' to all started sessions.
As SessionManager->getActiveSessions() searches sessions by
'session' tag, nothing will ever be returned if the tag is
not set.
Change-Id: Ib92b13bd67dafb4eae04a669befc8da581a405dd
Fixes: #55936
Releases: master, 2.2, 2.1

Revision 3d492d3b - 2014-08-26 15:38 - Rafael Kähm

[BUGFIX] sessionManager->getActiveSessions() returns empty array

This change adds the tag 'session' to all started sessions.
As SessionManager->getActiveSessions() searches sessions by
'session' tag, nothing will ever be returned if the tag is
not set.

Change-Id: Ib92b13bd67dafb4eae04a669befc8da581a405dd
Fixes: #55936
Releases: master, 2.2, 2.1

History
#1 - 2014-04-03 18:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#2 - 2014-04-03 21:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#3 - 2014-04-04 14:29 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#4 - 2014-04-04 14:30 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#5 - 2014-04-04 14:40 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#6 - 2014-04-04 14:41 - Gerrit Code Review
Patch set 6 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#7 - 2014-04-08 17:52 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#8 - 2014-04-08 17:53 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#9 - 2014-04-09 21:25 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#10 - 2014-04-10 14:56 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#11 - 2014-04-10 14:56 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#12 - 2014-04-10 15:22 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#13 - 2014-04-10 15:22 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#14 - 2014-07-03 10:09 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#15 - 2014-07-03 10:11 - Gerrit Code Review
Patch set 15 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#16 - 2014-07-03 10:11 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/29130

#17 - 2014-07-17 19:40 - Benjamin Albrecht

Any News? Same Issue here with Flow 2.2.0 :-/

#18 - 2014-08-26 15:01 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/29130

#19 - 2014-08-26 15:30 - Rafael Kähm
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:159304670b808f3a22f16b3ac1ca55810e04f148.

#20 - 2014-08-26 15:37 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/32391

#21 - 2014-08-26 15:38 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/32392

#22 - 2014-08-26 15:38 - Gerrit Code Review

Patch set 2 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/32391

#23 - 2014-08-27 10:00 - Rafael Kähm
- Status changed from Under Review to Resolved
Applied in changeset commit:bc7a07df317b534fb6b458791ae9b1beb3d54660.
